Package com.collibra.dgc.core.api.dto.mapping

# Class FindMappingsRequest

Object
PagedRequest
FindMappingsRequest

All Implemented Interfaces:
  `Serializable`

public class FindMappingsRequest extends PagedRequest
The search criteria for mappings.

Only parameters that are specified in this request and have not `null` values are used for filtering. All other parameters are ignored.

The returned mappings satisfy all constraints that are specified in this search criteria.

By default a result containing 1000 mappings is returned.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `FindMappingsRequest.Builder`
  `static enum`
  `FindMappingsRequest.MappedResourceType`

- ## Field Summary

  ### Fields inherited from class PagedRequest

  `countLimit, limit, offset`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FindMappingsRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FindMappingsRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `String`
  `getExternalEntityId()`
  `String`
  `getExternalSystemId()`
  The ID of the external system that the mapped resource belongs to.
  `String`
  `getMappedResourceId()`
  `FindMappingsRequest.MappedResourceType`
  `getMappedResourceType()`
  The type of the mapped resource.
  `SyncAction`
  `getSyncAction()`
  The type of the action performed during last successful synchronization.
  `int`
  `hashCode()`
  `void`
  `setExternalEntityId(String externalEntityId)`
  `void`
  `setExternalSystemId(String externalSystemId)`
  The ID of the external system that the mapped resource belongs to.
  `void`
  `setMappedResourceId(String mappedResourceId)`
  `void`
  `setMappedResourceType(FindMappingsRequest.MappedResourceType mappedResourceType)`
  The type of the mapped resource.
  `void`
  `setSyncAction(SyncAction syncAction)`
  The type of the action performed during last successful synchronization.
  `String`
  `toString()`

  ### Methods inherited from class PagedRequest

  `getCountLimit, getLimit, getOffset, isPagingActive, setCountLimit, setLimit, setOffset`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FindMappingsRequest

    public FindMappingsRequest()

- ## Method Details

  - ### builder

    public static FindMappingsRequest.Builder builder()

  - ### getExternalSystemId

    public String getExternalSystemId()
    The ID of the external system that the mapped resource belongs to.

  - ### getExternalEntityId

    public String getExternalEntityId()

  - ### getMappedResourceId

    public String getMappedResourceId()

  - ### getMappedResourceType

    public FindMappingsRequest.MappedResourceType getMappedResourceType()
    The type of the mapped resource.

  - ### getSyncAction

    public SyncAction getSyncAction()
    The type of the action performed during last successful synchronization.

  - ### setExternalSystemId

    public void setExternalSystemId(String externalSystemId)
    The ID of the external system that the mapped resource belongs to.

  - ### setExternalEntityId

    public void setExternalEntityId(String externalEntityId)

  - ### setMappedResourceId

    public void setMappedResourceId(String mappedResourceId)

  - ### setMappedResourceType

    public void setMappedResourceType(FindMappingsRequest.MappedResourceType mappedResourceType)
    The type of the mapped resource.

  - ### setSyncAction

    public void setSyncAction(SyncAction syncAction)
    The type of the action performed during last successful synchronization.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `PagedRequest`

  - ### canEqual

    protected boolean canEqual(Object other)
    Overrides:
      `canEqual` in class `PagedRequest`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `PagedRequest`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `PagedRequest`